<?php
/*
 * This is an external script that is only loaded by direct http request.
 * The purpose of this script is to allow refreshing the API JS remotely.
 * Note that it can only be run once per minute.
 */

$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
require_once( $parse_uri[0] . 'wp-load.php' );

require_once('../../../wp-load.php');
require_once( YRESILIENCE_PLUGIN_DIR . 'class.yresilience-heartbeat.php' );
$hb = YResilience_Heartbeat::init();
$result = $hb->push_update();

$last_error_msg = YResilience_Options::get_option( 'last_error_msg' );

if ( $result == true ) {
	$msg = 'Updated.';
} else {
	$msg = 'Not updated.';
}
if ( $last_error_msg != '' ) {
	$msg .= '<br><br>Last error msg: ' . $last_error_msg;
}
wp_die( __( $msg ) );
